#!/bin/bash

lamboot -v hostfile
dir=output/out-high-3
size=0
qcount=2
for (( i = 1; i<= 30; i++ ))
do
    mpirun N clean_tmp 
    cp query_data /tmp/pcc05/query_data
    
    size=`expr $size + 100000`
    
    mpirun N init_data $size >$dir/$i.txt
    mpirun N rs_parallel_encode >>$dir/$i.txt
    mpirun N rs_dist_codes >>$dir/$i.txt

    echo '---- INIT COMPLETE---' >>$dir/$i.txt
   
    for (( j = 0; j<$qcount; j++ ))
    do
        mpirun N query_processor $size >>$dir/$i.txt
    done
    
    echo '---KILLED Node 6 in [0,6]---' >>$dir/$i.txt
    
    mpirun N rs_gather_codes 6 >>$dir/$i.txt
    mpirun N rs_parallel_decode 6 >>$dir/$i.txt
    mpirun N dist_records 6 >>$dir/$i.txt
    
    for (( j = 0; j<$qcount; j++ ))
    do
        mpirun N query_processor $size 6 >>$dir/$i.txt
    done

    echo '---KILLED Node 4,6 in [0,6]---' >>$dir/$i.txt
    
    mpirun N rs_gather_codes 4 6 >>$dir/$i.txt
    mpirun N rs_parallel_decode 4 6 >>$dir/$i.txt
    mpirun N dist_records 4 6 >>$dir/$i.txt
    
    for (( j = 0; j<$qcount; j++ ))
    do
        mpirun N query_processor $size 4 6 >>$dir/$i.txt
    done

    echo '---KILLED Node 3,4,6 in [0,6]---' >>$dir/$i.txt
    
    mpirun N rs_gather_codes 3 4 6 >>$dir/$i.txt
    mpirun N rs_parallel_decode 3 4 6 >>$dir/$i.txt
    mpirun N dist_records 3 4 6 >>$dir/$i.txt
    
    for (( j = 0; j<$qcount; j++ ))
    do
        mpirun N query_processor $size 3 4 6 >>$dir/$i.txt
    done

done

lamclean
lamhalt
